--|  
--| Filename        : $Source: /home/ACDE/ACDE/Source/RCS/template.ads,v $
--| Description     : Helper package for files
--| Author          : Michael Erdmann
--| Created On      : 25.3.1999
--| Last Modified By: $Author: ACDE $
--| Last Modified On: $Date: 2000/01/21 17:18:23 $
--| Status          : $State: Released $
--|
--|
--| Functional Description
--| ======================
--| This module is a helper package which is used to locate files
--| in the ACDE file system.
--|
--| The following file types are supported:
--|
--| Configuration files:
--|
--| Component files
--|  
--|
--| Component Data
--| ==============
--| None
--|
--|
--| Operations on the component data
--| ================================
--|
--| Locate Configuration file  
--| Locate Component
--|
--| Extension
--| =========
--|
--| Restrictions
--| ============
--| None
--|
--| History
--| =======
--| $Log: template.ads,v $
--|
with Ada.Text_IO;				use Ada.Text_IO;
with Ada.Strings.Unbounded;			use Ada.Strings.Unbounded;

--- ASCL Support
with ASCL.Debugging_Support;
use  ASCL;

--- ACDE database objects   
with DBS.ACDE;		

with Text_Block;				use Text_Block;

package ACDE.Files is
   
   ---=====================================================================---
   ---===             C O M P O N E N T   I N T E R F A C E             ===---
   ---=====================================================================---

   ---=====================================================================---
   ---===                  A T T R I B U T E S                       ===---
   ---=====================================================================---
   
   ---=====================================================================---
   ---===                     M E T H O D S                             ===---
   ---=====================================================================---

   ---------------------------------------------------------------------------
   --| Description    :
   --|    This function returns the file names for the different levels,
   --|    according to the general rules  
   --| Preconditions  :
   --|    P1   - ACDE Object is initialized
   --|    P2   - Name string is not empty
   --| Postconditions :
   --|    Result contains an array of unbounded  strings with the path
   --|    names of the files found.
   --| Exceptions     :
   --| Note           :
   ---------------------------------------------------------------------------
   function Config_Files( this : DBS.ACDE.Object; name : in String ) 
   				return Text_Array_Access;

   ---=====================================================================---
   ---===                   E X T E N S I O N                           ===---
   ---=====================================================================---

end ACDE.Files;


