--|
--| Filename        : $Source: /home/ACDE/ACDE/Source/RCS/contents_element.adb,v $
--| Description     : Handle the contents speicification
--| Author          : Michael Erdmann
--| Created On      : 25.3.1999
--| Last Modified By: $Author: ACDE $
--| Last Modified On: $Date: 2000/01/21 17:18:23 $
--| Status          : $State: Released $
--| Version         : $Revision: 1.1 $
--|
--| Functional Description
--| ======================
--| This module contains the code to display the contents of a 
--| ada package specification in html.
--| The package is based upon the Simple_List_Element package
--| with Item_Type => Contents.
--|
--| Restrictions
--| ============
--| 1. Not intended for reuse
--|
--| References
--| ==========
--| None
--|
--|
--| History
--| =======
--| $Log: contents_element.adb,v $
--| Revision 1.1  2000/01/21 17:18:23  ACDE
--| Release Version test_1_0
--|
--| Revision 1.4  2000/01/16 16:06:17  ACDE
--| Release Version V8_1test
--|
--| Revision 1.3  1999/12/30 09:41:42  ACDE
--| formatting code moved into docgen.adb
--|
--| Revision 1.2  1999/12/30 08:51:02  ACDE
--| first tests complete
--|
--| Revision 1.1  1999/12/29 12:01:19  ACDE
--| No comments
--|
--|

--* Ada
with Ada.Text_IO;		   use Ada.Text_IO;
with Ada.Exceptions;               use Ada.Exceptions;
with Ada.Strings;		   use Ada.Strings;
with Unchecked_Deallocation;

with ASCL.Debugging_Support;  	   use ASCL.Debugging_Support;
use  ASCL;

with List;			   use List;
with Interface.List_Element;	   use Interface.List_Element;
use  Interface;

package body Contents_Element is

   Version : constant String := "$Id: contents_element.adb,v 1.1 2000/01/21 17:18:23 ACDE Released ACDE $";
   Module  : constant String := "contents_element.adb";

   ---=====================================================================---
   ---===                O B J  E C T     D A T A                       ===---
   ---=====================================================================---

   ---=====================================================================---
   ---===              L O C A L    D A T A    T Y P E S	        ===---
   ---=====================================================================---

   ---=====================================================================---
   ---===         L O C A L   S U P P O R T   P R O C E D U R E S       ===---
   ---=====================================================================---

   ---======================================================================---
   ---===             C O M P O  N E N T    I N T E R F A C E            ===---
   ---======================================================================---

		 
   ---=====================================================================---
   ---===           A T T R I B U T E    F U N C T I O N S              ===---
   ---=====================================================================---

   ---=====================================================================---
   ---===                        M E T H O D S                          ===---
   ---=====================================================================---

   --|
   --| Construct a list element
   --|
   function Construct ( item : in Contents ) return List_Element.Handle is
   begin
      return Pkg.Construct( item );
   end Construct;

   function Value( item : in List_Element.Handle ) return Contents is
   begin
      return Value( Pkg.Object(item.all) );
   end Value; 

end Contents_Element;

