--|  
--| Filename        : $Source: /home/ACDE/ACDE/Source/RCS/dbs-sql.ads,v $
--| Description     : SQL helper package
--| Author          : Michael Erdmann
--| Created On      : 25.3.1999
--| Last Modified By: $Author: ACDE $
--| Last Modified On: $Date: 2000/01/21 17:18:23 $
--| Status          : $State: Released $
--| Version         : $Revision: 1.1 $
--|
--|
--| Functional Description
--| ======================
--| This is an SQL helper functions package
--|
--| Component Data
--| ==============
--|
--|
--| Operations on the component data
--| ================================
--|
--| Extension
--| =========
--|
--| Restrictions
--| ============
--| Tasking: yes/no
--| Y2K    :
--|
--|
--| History
--| =======
--| $Log: dbs-sql.ads,v $
--| Revision 1.1  2000/01/21 17:18:23  ACDE
--| Release Version test_1_0
--|
--|
with Ada.Strings.Unbounded;		use Ada.Strings.Unbounded;

with ASCL.Debugging_Support;
use  ASCL;

package DBS.SQL is
   
   ---=====================================================================---
   ---===             C O M P O N E N T   I N T E R F A C E             ===---
   ---=====================================================================---
   procedure Initialize( debug : Debugging_Support.Handle := null );

   ---=====================================================================---
   ---===                  A T T R I B U T E S                       ===---
   ---=====================================================================---
   
   ---=====================================================================---
   ---===                     M E T H O D S                             ===---
   ---=====================================================================---

   ---------------------------------------------------------------------------
   --| Description    :
   --| Preconditions  :
   --| Postconditions :
   --| Exceptions     :
   --| Note           :
   ---------------------------------------------------------------------------
   function SQL_Select(
   	          colum : String := "*";
		  from  : String := "";
		  where : String := "" ) return String;
	 
   function SQL_Update (
   		  update : String := "";
   		  colum  : String := "";
		  where  : String := "") return String;

   function SQL_String( str : Unbounded_String )
                                         return String;

   function SQL_Colum( domain : String;
                       value  : Unbounded_String) return String;

   function SQL_Insert( into  : String;
                        value : Unbounded_String) return String;

   function SQL_Delete( from : String;
   			where : Unbounded_String ) return String;

end DBS.SQL;


