--|  
--| Filename        : $Source: /home/ACDE/ACDE/Source/RCS/docgen.ads,v $
--| Description     : Template Specification
--| Author          : Michael Erdmann
--| Created On      : 25.3.1999
--| Last Modified By: $Author: ACDE $
--| Last Modified On: $Date: 2000/01/21 17:18:23 $
--| Version         : $Revision: 1.1 $
--| Status          : $State: Released $
--|
--|
--| Functional Description
--| ======================
--| This CGI process generates from the specified Ada package
--| specification document for presentation via an HTML browser.  
--|
--| This class is the implementation of the CGI base process class
--| Process.
--|
--| For further documentation refer to CGI base process documentation
--|
--| Component Data
--| ==============
--| None
--|
--| Operations on the component data
--| ================================
--| None
--|
--| Error Handling
--| ==============  
--| In case of errors a back trace will be printed out on the 
--| HTML Page. 
--|
--| Restrictions
--| ============
--| Not intended for reuse.
--|
--| History
--| =======
--| $Log: docgen.ads,v $
--| Revision 1.1  2000/01/21 17:18:23  ACDE
--| Release Version test_1_0
--|
--| Revision 1.2  1999/12/30 09:07:44  ACDE
--| first tests completed
--|
--| Revision 1.1  1999/12/29 12:01:33  ACDE
--| No comments
--|
--|
--|
with ASCL.Debugging_Support;
use  ASCL;

with STD.Process;

package Docgen is
   
   ---=====================================================================---
   ---===             C O M P O N E N T   I N T E R F A C E             ===---
   ---=====================================================================---
   type Object is new STD.Process.Object with private;


   ---------------------------------------------------------------------------
   --| Description    :
   --| Preconditions  :
   --| Postconditions :
   --| Exceptions     :
   --| Note           :
   ---------------------------------------------------------------------------
   procedure Prepare( this  : in out Object );
   procedure Display( this : in out Object );
   procedure Perform( this : in out Object );

   procedure Cancel( this : in out Object );

   ---=====================================================================---
private
   type Object_Data;
   type Object_Data_Access is access Object_Data;

   type Object is new STD.Process.Object with record
         data : Object_Data_Access := null;
      end record; 

end Docgen;


