--|
--| Filename        : $Source: /home/ACDE/ACDE/Source/RCS/docgen_main.adb,v $
--| Description     : Main procedure of DOCGEN.
--| Author          : Michael Erdmann
--| Created On      : 25.3.1999
--| Last Modified By: $Author: ACDE $
--| Last Modified On: $Date: 2000/01/21 17:18:23 $
--| Status          : $State: Released $
--|
--| Functional Description
--| ======================
--| Main procedure of the CGI process docgen.
--|
--| Restrictions
--| ============
--| Not for reuse
--|
--| References
--| ==========
--| See CGI base process documentation
--|
--| History
--| =======
--| $Log: docgen_main.adb,v $
--| Revision 1.1  2000/01/21 17:18:23  ACDE
--| Release Version test_1_0
--|
--|
--|
with Ada.Text_IO;	       use Ada.Text_IO;

with ASCL.Debugging_Support;   use ASCL.Debugging_Support; 
use  ASCL;

with STD.CGI_Debug;
with STD.Process;  	       use STD.Process;
use  STD;

with Docgen;

procedure Docgen_Main is
   Version     : constant String := " $Id: docgen_main.adb,v 1.1 2000/01/21 17:18:23 ACDE Released ACDE $";
   d           : Debugging_Support.Handle := new CGI_Debug.Object;
   cgi_proc    : Docgen.Object;
   logging     : File_Type;
begin
   Initialize( d.all );
   CGI_Debug.Initialize( CGI_Debug.Object( d.all ) );
   Set( d.all, Logic );

   Initialize( cgi_proc, d );

   CGI_Process( cgi_proc );

   Finalize( cgi_proc );
   Finalize( d.all );

exception
   when Others =>
      Create( File => Logging, Name => "/tmp/fatal", Mode => Append_File );
      CGI_Debug.Dump( CGI_Debug.Object(d.all), Logging );  
      Close( Logging );
end Docgen_Main;
