--|  
--| Filename        : $Source: /home/ACDE/ACDE/Source/RCS/html.ads,v $
--| Description     : Template Specification
--| Author          : Michael Erdmann
--| Created On      : 25.3.1999
--| Last Modified By: $Author: ACDE $
--| Last Modified On: $Date: 2000/01/21 17:18:23 $
--| Status          : $State: Released $
--|
--|
--| Functional Description
--| ======================
--| This is a helper module which contains some of the basic 
--| html commands used in all CGI/HTML pages.
--| The architecture is quite chaotic because this module was
--| originally not intended for reuse. It
--|
--| Component Data
--| ==============
--| Class Data - Debug
--|
--| Operations on the component data
--| ================================
--| Initialize call with an ASCL_DEBUGGING_SUPPORT handle.
--|
--| Error Handling
--| ==============  
--| none
--|
--| Restrictions
--| ============
--| Tasking: yes/no
--| Y2K    :
--| All output is always sent to standard out.
--|
--|
--| History
--| =======
--| $Log: html.ads,v $
--| Revision 1.1  2000/01/21 17:18:23  ACDE
--| Release Version test_1_0
--|
--| Revision 1.7  2000/01/08 09:17:14  ACDE
--| ASCL debugging support added
--|
--| Revision 1.6  1999/12/18 13:29:00  ACDE
--| Release Version V6test
--|
--| Revision 1.1  1999/12/05 19:05:07  ACDE
--| No comments
--|
with ASCL.Debugging_Support;  
use  ASCL;

package Html is
   
   procedure Initialize( debug : in Debugging_Support.Handle := null );

   --- Forms
   procedure Form( Action : in String );
   procedure Form_End;

   procedure Check_Box( name : in String; checked : Boolean := False );
   procedure Radio_Button( name : in String; value : in String := "" );
   procedure Text( name  : in String; 
                   value : in String := "";
		   size  : in Integer := 0);
   procedure Submit( value : in String; name : in String := "" );
   procedure Reset( text : in String );

   procedure Line;

   procedure Selection( Name  : in String; 
                        Size  : in Positive := 1;
			Width : in Positive := 60 );
   procedure Selection_End;
   procedure Option( text     : in String;
                     value    : in String; 
                     selected : in Boolean := False;
		     disabled : in Boolean := False);                   

   --- headers and paragraphs
   procedure Heading( level : in Positive; text : in String );
   procedure Break( text : in String := ""); 

   --- links 
   procedure Tag( label : in String; text : in String := "" );
   procedure Link( tag : in String; text : in String := "" );

   --- tables
   procedure Table( aux : in String := "" );
   procedure Table_End;

   procedure TR( aux : in String := "" );
   procedure TR_End;
   
   procedure TD( aux : in String := "" );
   procedure TD_End;
 
   --- general small helpers
   function HTML_String( s : in String ) return String;

   procedure Print( s : in String );
end Html;


