--|  
--| Filename        : $Source: /home/ACDE/ACDE/Source/RCS/interface-list_element.ads,v $
--| Description     : List
--| Author          : Michael Erdmann
--| Created On      : 25.3.1999
--| Last Modified By: $Author: ACDE $
--| Last Modified On: $Date: 2000/01/21 17:18:23 $
--| Status          : $State: Released $
--| Version         : $Revision: 1.1 $
--|
--| Functional Description
--| ======================
--| This class defines the interface to a list element. The implementation
--| shall be done by the application.
--|
--| Every list element is linked to the previous list element and the 
--| next list element by a handle which is simply an pointer.
--| In order to get the pointer to an list element, the function
--| Reference has to be used.
--|
--| Component Data
--| ==============
--| Next      - Reference to next element
--| Previous  - Reference to prev list element.
--| Reference - Handle of a list element.
--|
--|
--| Operations on the component data
--| ================================
--|
--| Extension
--| =========
--|
--| Restrictions
--| ============
--| 
--|
--| History
--| =======
--| $Log: interface-list_element.ads,v $
--| Revision 1.1  2000/01/21 17:18:23  ACDE
--| Release Version test_1_0
--|
--| Revision 1.2  1999/12/25 09:05:57  ACDE
--| No comments
--|
--| Revision 1.1  1999/12/24 10:33:23  ACDE
--| No comments
--|
with ASCL.Debugging_Support;
use  ASCL;

package Interface.List_Element is
   
   ---=====================================================================---
   ---===             C O M P O N E N T   I N T E R F A C E             ===---
   ---=====================================================================---
   type Object is abstract tagged null record;
   type Handle is access all Object'Class;

   ---=====================================================================---
   ---===                  A T T R I B U T E S                       ===---
   ---=====================================================================---
   function Next( this : in Object)     return Handle is abstract;
   function Previous( this : in Object ) return Handle is abstract;
   
   procedure Next( this : in out Object; next : in Handle ) is abstract;
   procedure Previous( this : in out Object; prev : in Handle ) is abstract;
   function  Reference( this : in Object ) return Handle is abstract;

end Interface.List_Element;


