--|
--| Filename        : $Source: /home/ACDE/ACDE/Source/RCS/simple_list_element.adb,v $
--| Description     : simple list element
--| Author          : Michael Erdmann
--| Created On      : 25.3.1999
--| Last Modified By: $Author: ACDE $
--| Last Modified On: $Date: 2000/01/21 17:18:23 $
--| Status          : $State: Released $
--| Version         : $Revision: 1.1 $
--|
--| Functional Description
--| ======================
--|
--|
--| Restrictions
--| ============
--|
--| References
--| ==========
--|
--|
--| History
--| =======
--| $Log: simple_list_element.adb,v $
--| Revision 1.1  2000/01/21 17:18:23  ACDE
--| Release Version test_1_0
--|
--| Revision 1.2  1999/12/26 10:12:14  ACDE
--| value added
--|
--| Revision 1.1  1999/12/25 11:36:16  ACDE
--| No comments
--|
--|

--* Ada
with Ada.Exceptions;               use Ada.Exceptions;
with Unchecked_Deallocation;

with Interface.List_Element;     
use  Interface;


package body Simple_List_Element is

   Version : constant String := "$Id: simple_list_element.adb,v 1.1 2000/01/21 17:18:23 ACDE Released ACDE $";
   Module  : constant String := "simple_list_element.adb";

   ---=====================================================================---
   ---===         L O C A L   S U P P O R T   P R O C E D U R E S       ===---
   ---=====================================================================---


   ---=====================================================================---
   ---===           A T T R I B U T E    F U N C T I O N S              ===---
   ---=====================================================================---
   function Next ( this : in Object ) return List_Element.Handle is
   begin
      return This.Next;
   end Next;

   function Previous( this : in Object ) return List_Element.Handle is
   begin
      return This.Prev ;
   end Previous;


   procedure Next( this : in out Object; item : in List_Element.Handle) is
   begin
      This.Next := item;
   end Next;

   procedure Previous( this : in out Object; item : in List_Element.Handle ) is
   begin
      This.Prev := item;
   end Previous;

   function Reference ( this : in Object ) return List_Element.Handle is
   begin
      return this.Self;
   end Reference;


   function Value ( this :  in Object ) return Item_Type is
   begin
      return this.Item;
   end Value;
 
   ---=====================================================================---
   ---===                        M E T H O D S                          ===---
   ---=====================================================================---

   --|
   --| Purpose:
   --|
   --| Pre-Conditions:
   --|
   --| Post-Conditions:
   --|
   --|
   function Construct ( item : in Item_Type ) return List_Element.Handle is
      Result : List_Element.Handle := new Object;
   begin
      Object(Result.all).Self := Result;
      Object(Result.all).Item := item;
      return Result;
   end Construct;

   --|
   --| Purpose:
   --|
   --| Pre-Conditions:
   --|
   --| Post-Conditions:
   --|
   --|
   procedure Destroy( item : in out List_Element.Handle ) is
      type Object_Access is access all Object;

      procedure Free is
            new Unchecked_Deallocation( Object, Object_Access );
   begin
      null;
   end Destroy;

end Simple_List_Element;

