--|  
--| Filename        : $Source: /home/ACDE/ACDE/Source/RCS/simple_list_element.ads,v $
--| Description     : Implementation of a simple list element
--| Author          : Michael Erdmann
--| Created On      : 25.3.1999
--| Last Modified By: $Author: ACDE $
--| Last Modified On: $Date: 2000/01/21 17:18:23 $
--| Status          : $State: Released $
--| Version         : $Revision: 1.1 $
--|
--|
--| Functional Description
--| ======================
--| This is the implmentation of a simple list element which 
--| contains only a single item type.
--|
--| Component Data
--| ==============
--| see Interface.List_Element
--|
--|
--| Operations on the component data
--| ================================
--| Construct  - Construct an instance of the list element
--| Destroy    - Delete the instance
--|
--| Extension
--| =========
--|
--| Restrictions
--| ============
--|
--|
--| History
--| =======
--| $Log: simple_list_element.ads,v $
--| Revision 1.1  2000/01/21 17:18:23  ACDE
--| Release Version test_1_0
--|
--| Revision 1.1  1999/12/26 10:12:24  ACDE
--| value added
--|
--|
--|
with Interface.List_Element;
use  Interface;

generic 
   type Item_Type is private;

package Simple_List_Element is
   
   ---=====================================================================---
   ---===             C O M P O N E N T   I N T E R F A C E             ===---
   ---=====================================================================---
   type Object is new Interface.List_Element.Object with private;

   ---=====================================================================---
   ---===                  A T T R I B U T E S                       ===---
   ---=====================================================================---
   function Previous( this : in Object ) return List_Element.Handle;
   function Next( this : in Object ) return List_Element.Handle;

   procedure Previous( this : in out Object; item : in List_Element.Handle);
   procedure Next( this : in out Object; item : in List_Element.Handle);

   function Reference( this : in Object ) return List_Element.Handle;
   function Value( this : in Object ) return Item_Type;

   ---=====================================================================---
   ---===                     M E T H O D S                             ===---
   ---=====================================================================---
   function Construct( item : in Item_Type ) return List_Element.Handle;
   procedure Destroy( item : in out List_Element.Handle );

   ---------------------------------------------------------------------------
   --| Description    :
   --| Preconditions  :
   --| Postconditions :
   --| Exceptions     :
   --| Note           :
   ---------------------------------------------------------------------------

   ---=====================================================================---
   ---===                   E X T E N S I O N                           ===---
   ---=====================================================================---

   ---=====================================================================---
private

   type Object is new Interface.List_Element.Object with record
         self : List_Element.Handle := null;

	 prev : List_Element.Handle := null;
	 next : List_Element.Handle := null;
	   
	 item : Item_Type;
      end record;

end Simple_List_Element;


