--|  
--| Filename        : $Source: /home/ACDE/ACDE/Source/RCS/std-cgi_debug.ads,v $
--| Description     : Template Specification
--| Author          : Michael Erdmann
--| Created On      : 25.3.1999
--| Last Modified By: $Author: ACDE $
--| Last Modified On: $Date: 2000/01/21 17:18:23 $
--| Status          : $State: Released $
--| Version         : $Revision: 1.2 $
--|
--|
--| Functional Description
--| ======================
--| This module is specialized for the use with the cgi processes. All
--| trace information is stored in memory until it might be written 
--| to standard output using the Dump procedure.
--|
--| Component Data
--| ==============
--| A list of all trace information appeard during the process run.
--| This data is hidden.
--|
--| Operations on the component data
--| ================================
--| Dump
--|   Dumps out all stored trace/debug information. 
--|
--| Error Handling
--| ==============
--| none
--|
--| Extension
--| =========
--| This is an extention of ascl.debugging_support
--|
--| Restrictions
--| ============
--| Tasking: yes/no
--| Y2K    :
--|
--|
--| History
--| =======
--| $Log: std-cgi_debug.ads,v $
--| Revision 1.2  2000/01/21 17:18:23  ACDE
--| Release Version test_1_0
--|
--| Revision 1.1  2000/01/20 20:56:45  ACDE
--| No comments
--|
--|
--|
with Ada.Text_IO;		use Ada.Text_IO;

with ASCL.Debugging_Support;
use  ASCL;

package STD.CGI_Debug is

   type Object is new ASCL.Debugging_Support.Object with private;

   procedure Initialize( this : in out Object );
   procedure Finalize( this : in out Object );

   --| extension of ascl.debuggin_support 
   procedure Output( this : in out Object;  text : in String );

   --| Additional procedure for trace/debug dump in HTML format
   procedure Dump( this : in out Object; file : in File_Type);

private

   type Object_Data;
   type Object_Data_Access is access Object_Data;

   type Object is  new ASCL.Debugging_Support.Object with record
         data : Object_Data_Access := null;
      end record;

end  STD.CGI_Debug; 
